# Class BadStringOperationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.BadStringOperationException

All Implemented Interfaces:
  `Serializable`

public class BadStringOperationException extends Exception
Thrown when an invalid string operation is passed to a method for constructing a query.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BadStringOperationException(String message)`
  Constructs a `BadStringOperationException` with the specified detail message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns the string representing the object.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BadStringOperationException

    public BadStringOperationException(String message)
    Constructs a `BadStringOperationException` with the specified detail message.
    Parameters:
      `message` - the detail message.

- ## Method Details

  - ### toString

    public String toString()
    Returns the string representing the object.
    Overrides:
      `toString` in class `Throwable`
    Returns:
      a string representation of this throwable.